Subject: Re: iSCSI:reservations

From: "Julian Satran" <[email-masked]>
Date: Thu, 28 Feb 2002 09:23:45 +0200

Dear colleagues,

We had long discussions on the reservation-clearing being done (or not) at 
session close (FCP does this).
 We concluded that it is probably a thing that should be handled at SCSI 
level (it would be wrong for the transport to mes-up SCSI state) and 
perhaps we should only state that an indication about session failure 
should be passed to SCSI.  Mallikarjun and Randy have a set of good 
arguments for not doing this implicitly that they would probably want to 
share them with you.

This is only a warning that this item in the clearing appendix is going to 
change as this issue was debated earlier on the list.

Comments?

Julo
----- Forwarded by Julian Satran/Haifa/IBM on 28-02-02 09:02 -----

"Mallikarjun C." <[email-masked]>
28-02-02 04:41

        To:     Julian Satran/Haifa/IBM@IBMIL
        cc: 
        Subject:        Re: iSCSI:reservations

Julian, 

[ I assume you meant to answer a different thread. ]

That works for me, I am working on revising the table, I will get it out 
to 
you by tomorrow.  Please feel free to forward this to the list if you want 

to.  I hope to upload a new rev of my reservations discussion tomorrow,
so you may quote that even - if you choose to (and like the reasoning, 
:-))

Thanks.
--
Mallikarjun

Mallikarjun Chadalapaka
Networked Storage Architecture
Network Storage Solutions Organization
Hewlett-Packard MS 5668 
Roseville CA 95747

----- Original Message ----- 
From: "Julian Satran" <[email-masked]>
To: "Mallikarjun C." <[email-masked]>
Sent: Wednesday, February 27, 2002 1:25 AM
Subject: Re: iSCSI:implicit logout

> Mallikarjun,
> 
> Perhaps the thing to say is that at session close an indication is 
passed 
> to SCSI and SCSI may dictate (or not) additional clearing effects. In 
this 
> case we can remove the clearing of the reservations from our text and 
drop 
> it into SCSI.
> 
> If this is acceptable I suggest you update the attached.
> 
> Thanks,
> Julo
> 
> 
> 
> 
> 
> "Mallikarjun C." <[email-masked]>
> 26-02-02 22:14
> 
> 
>         To:     Julian Satran/Haifa/IBM@IBMIL
>         cc:     John Hufferd/San Jose/IBM@IBMUS
>         Subject:        Re: iSCSI:implicit logout
> 
> 
> 
> Sorry, I totally miss the point......particularly John's 
> "there is nothing to direct the Task management command against" 
part.....
> 
> The task reassignment operation is *not* CID-driven at all, 
> reassignment is always to the connection on which the TMF
> command is issued - which may or may not have the same CID.
> [ This intentionally directly contrasts with the CID-centric operation 
>   of a Logout command, the connection issuing the Logout has no
>   significance there.  ]
> 
> IMHO, not referring to CIDs at all in this discussion is best.
> 
> John's original question - "is reinstatement also implicit 
reassignment?"
> is answered in rev 10-92, section 4.3.4, 2nd para, first sentence.
> As Julian said, the answer is no.
> --
> Mallikarjun
> 
> Mallikarjun Chadalapaka
> Networked Storage Architecture
> Network Storage Solutions Organization
> Hewlett-Packard MS 5668 
> Roseville CA 95747
> 
> 
> ----- Original Message ----- 
> From: "Julian Satran" <[email-masked]>
> To: <[email-masked]>
> Sent: Monday, February 25, 2002 9:32 PM
> Subject: Re: iSCSI:implicit logout
> 
> 
> > ?
> > ----- Forwarded by Julian Satran/Haifa/IBM on 26-02-02 07:23 -----
> > 
> > 
> > John Hufferd@IBMUS
> > 25-02-02 22:55
> > 
> > 
> >         To:     Julian Satran/Haifa/IBM@IBMIL@IBMDE
> >         cc: 
> >         From:   John Hufferd/San Jose/IBM@IBMUS
> >         Subject:        Re: iSCSI:implicit logout
> > 
> > 
> > 
> > 
> > 
> > 
> > Thanks, Julian,
> > That is fine, I think it might be useful, if we could find a way to 
say 
> > that in the Draft.
> > 
> > .
> > .
> > .
> > John L. Hufferd
> > Senior Technical Staff Member (STSM)
> > IBM/SSG San Jose Ca
> > Main Office (408) 256-0403, Tie: 276-0403,  eFax: (408) 904-4688
> > Home Office (408) 997-6136, Cell: (408) 499-9702
> > Internet address: [email-masked]
> > 
> > To:     John Hufferd/San Jose/IBM@IBMUS@IBMDE
> > cc: 
> > From:   Julian Satran/Haifa/IBM@IBMIL
> > Subject:        Re: iSCSI:implicit logout 
> > 
> > Yes the 2 CIDs will be the same if the reassignment is to the new 
> > connection or different if the reassign is to another connection. The 
> > implicit logout "suspends" the commands.
> > 
> > Julo
> > 
> > 
> > 
> > 
> > John Hufferd@IBMUS
> > 25-02-02 19:10
> > 
> > 
> >         To:     Julian Satran/Haifa/IBM@IBMIL@IBMDE
> >         cc: 
> >         From:   John Hufferd/San Jose/IBM@IBMUS
> >         Subject:        Re: iSCSI:implicit logout
> > 
> > 
> > 
> > 
> > 
> > 
> > If you use an implicit logout with login, you have the same CID 
> > established on a new TCP/IP connection, there is nothing to direct the 

> > Task management command against.  They both have the same CID.  Hence 
> why 
> > I said that thought there was no need to change allegiance.  If you 
do, 
> > have to issue the Task Managemet command what would you have as the 
from 
> 
> > and to CID? would they both be the same? 
> > 
> > .
> > .
> > .
> > John L. Hufferd
> > Senior Technical Staff Member (STSM)
> > IBM/SSG San Jose Ca
> > Main Office (408) 256-0403, Tie: 276-0403,  eFax: (408) 904-4688
> > Home Office (408) 997-6136, Cell: (408) 499-9702
> > Internet address: [email-masked]
> > 
> > To:     John Hufferd/San Jose/IBM@IBMUS@IBMDE
> > cc: 
> > From:   Julian Satran/Haifa/IBM@Haifa/IBM@IBMIL
> > Subject:        Re: iSCSI:implicit logout 
> > 
> > John,
> > 
> > Yes and No.
> > 
> > Yes implicit logout is done by login (or by the target itself). 
However 
> > login is only part of recovery (and not always needed).
> > Reassign has to be explicit, per command and can be done on (other) 
> > remaining connections (you don't have to create a new one if you have 
> > enough old ones).
> > 
> > Regards,
> > Julo
> > 
> > 
> > 
> > 
> > John Hufferd@IBMUS
> > 25-02-02 04:46
> > 
> > 
> >         To:     Julian Satran/Haifa/IBM@IBMIL@IBMDE
> >         cc: 
> >         From:   John Hufferd/San Jose/IBM@IBMUS
> >         Subject:        iSCSI:implicit logout
> > 
> > 
> > 
> > Julian,
> > The draft specifies talks about explicit Logouts and implicit Logouts, 

> but 
> > I have been having problems determining what an implicit logout is.
> > 
> > I believe it is a Logout that occurs when another TCP/IP connection is 

> > established and then the Login is issued with the same iSCSI Node 
Name, 
> > the same ISID, and the same CID as a current connection to the 
specified 
> 
> > target. 
> > 
> > If this is correct, I think the iSCSI connection continues with the 
new 
> > TCP/IP connection without having to issue a Task Management change of 
> > allegiance request.  Is that true?
> > 
> > .
> > .
> > .
> > John L. Hufferd
> > Senior Technical Staff Member (STSM)
> > IBM/SSG San Jose Ca
> > Main Office (408) 256-0403, Tie: 276-0403,  eFax: (408) 904-4688
> > Home Office (408) 997-6136, Cell: (408) 499-9702
> > Internet address: [email-masked]
> > 
> > 
> > 
> > 
> > 
> > 
> > 
> > 
> > 
> 
> 
> 
>